<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$getinfo = mysqli_query($conn, "Select * from giftcode WHERE IDEvent = '".$_POST['idevent']."'");
?>
<style>
.discount {
    position: absolute;
    margin-left: 30px;
    margin-top: -25px;
    border: 2px solid #f15a21;
    border-radius: 100px 0 0 100px;
    padding: 2px;
    width: 50px;
    height: 23.5px;
}
.discount p {
    background: #f15a21;
    border-radius: 100px 0 0 100px;
    text-align: center;
    line-height: 0!important;
    font-size: .9em!important;
    padding: 7px;
}
.discount span {
    color: #fff;
    font-size: 11px;
    text-align: center;
    display: inline-block;
    font-weight: 700;
}
</style>
		    <label>Máy chủ</label>
			<center><span id="addtext" style="color:red"></span></center>
		    <div class="form-group pass_show"> 
                <select class="form-control" id="sv_taocode">
			     <option value="0000"> Dùng chung ALL SV </option>				
				<?php
$get_sv = mysqli_query($conn, "Select * From config_server");
if(mysqli_num_rows($get_sv)){
	while($row = mysqli_fetch_array($get_sv, MYSQLI_ASSOC)){
		echo '<option value="'.$row['ServerID'].'">'.$row['ServerName'].'</option>';
	}
}				
				?>
				</select>
            </div> 			
		       <label>Tùy Tạo</label>
            <div class="form-group pass_show"> 
               <select class="form-control" id="setting_code" onChange="if($('#setting_code').val() == 0){$('#showcodet').hide();} else {$('#showcodet').show(); }">
			   <option value="0">Ngẫu Nhiên Code (Random)</option>
			   <option value="1">Tạo Chung 1 Code</option>
			   </select>
            </div>
			<label>Loại Code</label>
            <div class="form-group pass_show"> 
               <select class="form-control" id="setting_codeevent" onChange="if($('#setting_codeevent').val() == 0){$('#showdwID').hide();} else {$('#showdwID').show(); }">
			   <option value="0">Bình thường</option>
			   <option value="1">Event Bang Hội</option>
			   </select>
            </div> 
			<div id="showdwID" style="display:none">
			<label>ID Bang Hội</label> <span class="label label-warning" href="#myModal" data-toggle="modal" onClick="reloadinfo();">Load Danh Sách Bang Hội</span>

            <div class="form-group pass_show"> 
                <input type="text" value=""  id="creat_dwid" class="form-control" placeholder="Nhập ID Bang Hội"> 
            </div></div> 			
			<div id="showcodet" style="display:none">
			<label>GiftCode</label>
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="creat_numbercode" class="form-control" placeholder="Nhập Code cần tạo Chung"> 
            </div></div> 			
			<label>Số Lượng</label>
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="creat_codesl" class="form-control" placeholder="Số lượng Code cần tạo"> 
            </div> 
            <div class="modal-footer">
          <button type="button" class="btn btn-danger" onClick="creat_Code();">Tạo Ngay</button>
        </div>	
        <script>
            function creat_Code() {
    $('#addtext').hide();
    if ($('#id_codecreat').val() == "" || $('#creat_codesl').val() == "") {
        toastr.info('Bạn chưa chọn Tên Event hoặc Chưa nhập Số lượng cần tạo.', 'Chú ý');
    } else {
        $.post('ajax/ajax_creatcode.php', { idevent: '<?=$_REQUEST['idevent']?>', sl: $('#creat_codesl').val(), setting: $('#setting_code').val(), numbercode: $('#creat_numbercode').val(), sv: $('#sv_taocode').val(), creat_dwid: $('#creat_dwid').val() }, function(data) {
            if (data['code'] == 0) {
                $('#addtext').html('Link Chứa code của bạn là : <b><a href="' + data['text'] + '" target="_blank">NHẤN ĐÂY</a></b>');
                $('#addtext').show();
                toastr.info('Tạo thành công, Hãy nhấn vào Link trên để Xem', 'Thông Báo');
            } else {
                toastr.info(data['text'], 'Chú ý');

            }
        }, 'json');
    }
}
function reloadinfo(){
    if($('#sv_taocode').val() == "0000"){
        toastr.info("Vui lòng chọn Máy chủ để Tải danh sách Bang Hội", 'Chú ý');
    } else {
        $.post('ajax/load_danhsachbang.php', { sv: $('#sv_taocode').val() }, function(data) {
            if (data['type'] == 0) {
                $('#dachsachbang_form').html(data['text']);
                toastr.success('Tải danh sách bang hội thành công.', 'Thông Báo');
            } else {
                toastr.info(data['text'], 'Chú ý');

            }
        }, 'json');       
    }
}
</script>
		   
<!-- Modal HTML -->
<div id="myModal" class="modal fade">
	<div class="modal-dialog modal-login">
		<div class="modal-content">
			<div class="modal-header">		
				<h4 class="modal-title">Danh sách Bang Hội</h4>	
                <button type="button" class="close" data-dismiss="myModal" aria-hidden="true" onClick="$('#myModal').removeClass('in show');$('#myModal').hide();$('.modal-backdrop').remove();">&times;</button>
			</div>
			<div class="modal-body" id="dachsachbang_form">
			</div>
		</div>
	</div>
</div>     